Bug 479470 - cobbler kssendmac and breed suse [NEEDINFO]
cobbler kssendmac and breed suse
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-09 16:26 EST by David Quenzler
Modified: 2009-11-16 12:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 12:22:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
poelstra: needinfo? (quenzler)


Attachments (Terms of Use)

  None (edit)
Description David Quenzler 2009-01-09 16:26:06 EST
Description of problem:
breed = suse
/boot/grub/menu.lst contains kssendmac

Version-Release number of selected component (if applicable):
cobbler-1.2.9-1.fc9.noarch

How reproducible:
Install a SuSE client

Actual results:
kssendmac exists as a boot parameter on a SuSE client

Expected results:
No kssendmac boot parameter

Additional info:
Find a way to avoid adding kssendmac to the kernel_options string if it's not applicable to the breed.

Hack (since I'm only installing SuSE clients):
# diff utils.py utils.py.ori
478,479c478,479
< #    if len(kernel_txt) < 244:
< #        results["kernel_options"]["kssendmac"] = None
---
>     if len(kernel_txt) < 244:
>         results["kernel_options"]["kssendmac"] = None
Comment 1 Ricky Zhou 2009-08-05 12:39:00 EDT
Moving this to the cobbler component, Fedora product.
Comment 2 Ricky Zhou 2009-08-05 12:41:16 EDT
Oops, I misread the release - can you check if this is still a bug in F10 or F11 and close this if it's fixed?
Comment 3 David Quenzler 2009-08-05 13:32:20 EDT
I just checked the 1.6.8 source, utils.py still has the same code.  It's not fixed yet.

+===+
    # determine if we have room to add kssendmac to the kernel options line
    kernel_txt = hash_to_string(results["kernel_options"])
    if len(kernel_txt) < 244:
        results["kernel_options"]["kssendmac"] = None
+===+
Comment 4 Michael DeHaan 2009-08-05 14:30:15 EDT
Please make sure there's an equivalent Trac item on this open at fedorahosted.org/cobbler ... that's the main list for items we fix upstream.

Seems like this would be an easy one for some one with some SuSE boxes to quickly patch/test, no?
Comment 5 Michael DeHaan 2009-08-10 18:09:37 EDT
Opened up a Trac item here so we don't loose track of this one.

https://fedorahosted.org/cobbler/ticket/478#preview
Comment 7 John Poelstra 2009-11-16 12:22:02 EST
The bug is reported against a version of Fedora that is no longer maintained and Trac tickets appears to be addressed

Can this bug be closed?

Note You need to log in before you can comment on or make changes to this bug.